SoulFire LogoSoulFire

Rank inventory items

POST
/v1/inventory:rank

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

scope?
kind?soulfire.v1.InventoryRecommendationKind

Value in

  • "INVENTORY_RECOMMENDATION_KIND_UNSPECIFIED"
  • "INVENTORY_RECOMMENDATION_KIND_TOOL"
  • "INVENTORY_RECOMMENDATION_KIND_MELEE_WEAPON"
  • "INVENTORY_RECOMMENDATION_KIND_ARMOR"
  • "INVENTORY_RECOMMENDATION_KIND_FOOD"
  • "INVENTORY_RECOMMENDATION_KIND_SCAFFOLD"
selector?|null
areas?array<>
targetBlock?|

Required when kind is TOOL.

equipmentSlot?|

Required when kind is ARMOR, such as "head", "chest", "legs", or "feet".

limit?integer

Defaults to 10 and may not exceed 100.

Formatint64
Range0 <= value <= 4294967295
preferHotbar?boolean

Adds a small preference for already selectable hotbar items.

preferredEnchantmentIds?array<string>

Adds a score bonus for each matching enchantment.

excludedEnchantmentIds?array<string>

Removes candidates carrying any listed enchantment.

preferHighDurability?boolean

Prefers a higher remaining durability ratio for damageable items.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/inventory:rank" \  -H "Content-Type: application/json" \  -d '{    "kind": "INVENTORY_RECOMMENDATION_KIND_UNSPECIFIED",    "areas": [],    "limit": 0,    "preferHotbar": false,    "preferredEnchantmentIds": [],    "excludedEnchantmentIds": [],    "preferHighDurability": false  }'
{  "recommendations": [    {      "slot": {        "slot": 0,        "area": "INVENTORY_AREA_UNSPECIFIED",        "item": {          "itemId": "string",          "count": 0,          "maxStackSize": 0,          "damage": 0,          "maxDamage": 0,          "customName": {            "plainText": "string",            "json": "string"          },          "lore": [            {              "plainText": "string",              "json": "string"            }          ],          "enchantments": [            {              "enchantmentId": "string",              "level": 0            }          ],          "food": {            "nutrition": 0,            "saturationModifier": 0.1,            "canAlwaysEat": true,            "eatSeconds": 0.1          },          "tool": {            "toolTags": [              "string"            ],            "defaultMiningSpeed": 0.1,            "harvestLevel": 0          },          "armor": {            "equipmentSlot": "string",            "defense": 0,            "toughness": 0.1,            "knockbackResistance": 0.1          },          "components": {},          "customDataNbt": "string",          "fingerprint": "string",          "potion": {            "potionId": "string",            "effects": [              {                "effectId": "string",                "amplifier": 0,                "durationTicks": 0,                "ambient": true,                "visible": true,                "showIcon": true              }            ],            "color": 0          }        },        "mayPlace": true,        "mayPickup": true      },      "score": 0.1,      "factors": [        {          "name": "string",          "contribution": 0.1,          "detail": "string"        }      ]    }  ],  "revision": "string"}

How is this page?